mixed-port: 7890
allow-lan: true
bind-address: "*"
mode: rule
log-level: info
ipv6: true
external-controller: 0.0.0.0:9090
tcp-concurrent: true
find-process-mode: "off"
dns:
  enable: true
  ipv6: true
  listen: 0.0.0.0:53
  enhanced-mode: redir-host
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*.lan"
    - "*.local"
    - "+.market.xiaomi.com"
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://doh.pub/dns-query
    - https://dns.alidns.com/dns-query
  fallback:
    - tls://8.8.8.8:853
    - tls://1.1.1.1:853
proxies: []
proxy-groups: []
rules:
  - MATCH,DIRECT
profile:
  store-selected: true
  store-fake-ip: true